#!/usr/bin/python
import os
import signac
import shutil
import datetime
import argparse

def main(args):
    project = signac.get_project()

    backup_dir = project.fn('backup_workspaces')

    if os.path.exists(project.workspace()):
        print("Found current workspace, moving")
        timestr = datetime.datetime.now().strftime("%Y_%m_%d_%H%M%S")
        bkp_ws = project.config['workspace_dir'] + "_" + (args.tag + "_" if args.tag is not None else "") + timestr
        shutil.move(project.workspace(), os.path.join(backup_dir, bkp_ws))

if __name__ == "__main__":
    parser = argparse.ArgumentParser(description = "Move existing workspace into backup folder for testing")
    parser.add_argument(
            "-t", "--tag",
            type=str,
            default=None,
            help="Optional tag to add to the backed up workspace name")
    args = parser.parse_args()
    main(args)
